net.sf.jasperreports.engine

## Class JRAbstractExporter.BaseExporterContext

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext

- All Implemented Interfaces:
    JRExporterContext
  Direct Known Subclasses:
    HtmlExporter.ExporterContext, JExcelApiExporter.ExporterContext, JExcelApiMetadataExporter.ExporterContext, JRCsvExporter.ExporterContext, JRCsvMetadataExporter.ExporterContext, JRDocxExporter.ExporterContext, JRGraphics2DExporter.ExporterContext, JRHtmlExporter.ExporterContext, JROdsExporter.ExporterContext, JROdtExporter.ExporterContext, JRPdfExporter.ExporterContext, JRPptxExporter.ExporterContext, JRPrintServiceExporter.ExporterContext, JRRtfExporter.ExporterContext, JRTextExporter.ExporterContext, JRXhtmlExporter.ExporterContext, JRXlsExporter.ExporterContext, JRXlsMetadataExporter.ExporterContext, JRXlsxExporter.ExporterContext, JRXmlExporter.ExporterContext, JsonExporter.ExporterContext
  Enclosing class:
    JRAbstractExporter<RC extends ReportExportConfiguration,C extends ExporterConfiguration,O extends ExporterOutput,E extends JRExporterContext>

      public abstract class JRAbstractExporter.BaseExporterContext
      extends java.lang.Object
      implements JRExporterContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRAbstractExporter.BaseExporterContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JasperPrint` | `getExportedReport()` Returns the report which is currently exported.
    `JRExporter` | `getExporter()` Deprecated. Replaced by `getExporterRef()`.
    `Exporter` | `getExporterRef()` Returns the current exporter.
    `java.util.Map<JRExporterParameter,java.lang.Object>` | `getExportParameters()` Returns the map of export parameters.
    `java.lang.String` | `getExportPropertiesPrefix()`
    `JasperReportsContext` | `getJasperReportsContext()`
    `int` | `getOffsetX()` Returns the current X-axis offset at which elements should be exported.
    `int` | `getOffsetY()` Returns the current Y-axis offset at which elements should be exported.
    `java.lang.Object` | `getValue(java.lang.String key)`
    `void` | `setValue(java.lang.String key, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRAbstractExporter.BaseExporterContext

          public JRAbstractExporter.BaseExporterContext()

  - ### Method Detail

    - #### getExporter

          public JRExporter getExporter()

      Deprecated. Replaced by `getExporterRef()`.
      Specified by:
        `getExporter` in interface `JRExporterContext`

    - #### getExporterRef

          public Exporter getExporterRef()

      Description copied from interface: `JRExporterContext`
      Returns the current exporter.
      Specified by:
        `getExporterRef` in interface `JRExporterContext`
      Returns:
        current exporter

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

      Specified by:
        `getJasperReportsContext` in interface `JRExporterContext`

    - #### getExportedReport

          public JasperPrint getExportedReport()

      Description copied from interface: `JRExporterContext`
      Returns the report which is currently exported.
      Specified by:
        `getExportedReport` in interface `JRExporterContext`
      Returns:
        currently exported report

    - #### getExportParameters

          public java.util.Map<JRExporterParameter,java.lang.Object> getExportParameters()

      Description copied from interface: `JRExporterContext`
      Returns the map of export parameters.

      The map uses `JRExporterParameter` instances as keys.

      Specified by:
        `getExportParameters` in interface `JRExporterContext`
      Returns:
        the map of export parameters

    - #### getOffsetX

          public int getOffsetX()

      Description copied from interface: `JRExporterContext`
      Returns the current X-axis offset at which elements should be exported.
      Specified by:
        `getOffsetX` in interface `JRExporterContext`
      Returns:
        the current X-axis offset

    - #### getOffsetY

          public int getOffsetY()

      Description copied from interface: `JRExporterContext`
      Returns the current Y-axis offset at which elements should be exported.
      Specified by:
        `getOffsetY` in interface `JRExporterContext`
      Returns:
        the current Y-axis offset

    - #### getExportPropertiesPrefix

          public java.lang.String getExportPropertiesPrefix()

      Specified by:
        `getExportPropertiesPrefix` in interface `JRExporterContext`

    - #### getValue

          public java.lang.Object getValue(java.lang.String key)

      Specified by:
        `getValue` in interface `JRExporterContext`

    - #### setValue

          public void setValue(java.lang.String key,
                      java.lang.Object value)

      Specified by:
        `setValue` in interface `JRExporterContext`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com